Subject: bug#50098: Configuring --with-libsigsegv results in link error

From: Paul Eggert <[email-masked]>
Date: Tue, 17 Aug 2021 15:53:08 -0700

On 8/17/21 1:02 PM, Evan Miller wrote:

> Thanks for the patch. At present, the non-libsigsegv implementation does not compile on this machine for reasons described in
> 
> https://trac.macports.org/ticket/63381

Oh, I see you're building for an old system (Mac OSX 10.4.11, circa 
2007) that Apple itself is no longer supporting. Although we don't 
normally worry about such platforms, perhaps you can come up with a 
patch that clearly won't break mainline platforms.

In the meantime I suppose you can try the c-stack patch I just sent you, 
though this will require running autoconf. Alternatively you may be able 
to work around the problem by using something like this:

./configure LDFLAGS='-L/opt/local/lib' LIBS='-lsigsegv'